import $req from '../request'
import { request } from '../request/request'
/**
 * 获取邀请配置
 * @param data 请求参数
 */
export const getJsapiSignatureApi = async (params: any) =>
  await request.get<any>('/wechatPublic/createJsapiSignature', params)
/**
 * 邀请绑定
 * @param data 请求参数
 */
export const parentBindInviteApi = (data: any) =>
  $req({
    method: 'post',
    url: '/parentBindInvite',
    data,
  })
/**
 * 跳转邀请绑定页面后获取对应数据
 * @param data 请求参数
 */
export const getInviteInfoApi = id =>
  $req({
    method: 'get',
    url: `/parentBindInvite/${id}`,
  })
